com.io7m.jstructural.annotated

## Class SASubsection

- java.lang.Object
- - com.io7m.jstructural.annotated.SASubsection

- All Implemented Interfaces:
    SAIDTargetContent

      @Immutable
      public final class SASubsection
      extends Object
      implements SAIDTargetContent

  A subsection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SASubsection(SASubsectionNumber in_number, com.io7m.jfunctional.OptionType<String> in_type, com.io7m.jfunctional.OptionType<SAID> in_id, SASubsectionTitle in_title, SNonEmptyList<SASubsectionContent> in_content)` Construct a new subsection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `SNonEmptyList<SASubsectionContent>` | `getContent()`
    `com.io7m.jfunctional.OptionType<SAID>` | `getID()`
    `SASubsectionNumber` | `getNumber()`
    `SASubsectionTitle` | `getTitle()`
    `com.io7m.jfunctional.OptionType<String>` | `getType()`
    `int` | `hashCode()`
    `<T> T` | `targetContentAccept(SAIDTargetContentVisitor<T> v)` Accept an ID target content visitor.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SASubsection

          public SASubsection(SASubsectionNumber in_number,
                              com.io7m.jfunctional.OptionType<String> in_type,
                              com.io7m.jfunctional.OptionType<SAID> in_id,
                              SASubsectionTitle in_title,
                              SNonEmptyList<SASubsectionContent> in_content)

      Construct a new subsection.
      Parameters:
        `in_number` - The subsection number
        `in_type` - The type attribute
        `in_id` - The ID
        `in_title` - The title
        `in_content` - The content

  - ### Method Detail

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getContent

          public SNonEmptyList<SASubsectionContent> getContent()

      Returns:
        The subsection content

    - #### getID

          public com.io7m.jfunctional.OptionType<SAID> getID()

      Returns:
        The subsection ID

    - #### getNumber

          public SASubsectionNumber getNumber()

      Returns:
        The subsection number

    - #### getTitle

          public SASubsectionTitle getTitle()

      Returns:
        The subsection title

    - #### getType

          public com.io7m.jfunctional.OptionType<String> getType()

      Returns:
        The subsection type attribute

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### targetContentAccept

          public <T> T targetContentAccept(SAIDTargetContentVisitor<T> v)
                                    throws Exception

      Description copied from interface: `SAIDTargetContent`
      Accept an ID target content visitor.
      Specified by:
        `targetContentAccept` in interface `SAIDTargetContent`
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com